Subject: RE: bug#1183: 23.0.60; ediff-buffers is broken

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 11:35:46 -0700

> > > > > > But first, we should decide whether we want such 
> > > > > > buffers to compare equal or not.
> > > > > 
> > > > > I believe we do, because it's called ediff-buffers.  There's 
> > > > > ediff-files for when you want to compare the files.
> > > > 
> > > > That's terrible. Ediff-buffers has always been usable 
> > > > directly for buffers visiting files also. 
> > > 
> > > I didn't see the original post, but the general idea was that 
> > > whenever things look the same in Emacs they should be treated
> > > as equal (or equal module spaces). I do not think the user
> > > should be bothered with encodings. Copying from buffer
> > > to buffer should also be transparent. (And ediff-files and 
> > > ediff-buffers should produce the same results.)
> > > 
> > > Unfortunately, I have not been following the developments in 
> > > the last few years, and my knowledge of the mechanics 
> became rusty.
> > 
> > Everything Michael said sounds right to me.
> 
> Then why did you say "that's terrible" in response to Stefan who
> expressed the same view as Michael?  They both say that what is
> _displayed_ the same in Emacs should compare equal in ediff-buffers.

I guess I misunderstood. I thought that Stefan was saying that ediff-buffers
should continue to do what it is doing now: just show one big difference, with
no distinction of textual differences, and force users to use ediff-files to see
the textual differences. If he meant the same thing as Michael, then we agree.

The two buffers I reported on should *not* compare equal, but neither should
ediff-buffers just throw up its hands and say only "they're different somehow".
I mistakenly thought that Stefan was saying that ediff-buffers should not
distinguish their textual differences but should just report that they are
different (one big diff). IOW, I thought he was saying that the current behavior
is correct for ediff-buffers but that ediff-files should, as always, show the
textual differences.

> OTOH, "M-x ediff" that compares _files_ will still show differences
> for identical text encoded differently in each of the files.

Again, I have no problem with ediff commands also showing or otherwise
identifying encoding differences. 

What I objected to was that textual differences were being effectively lost,
because ediff-buffers just displays one big diff with identical, full-buffer
highlighting - it doesn't show the textual differences at all.

Sorry for any misunderstanding. It sounds now like we're all in more or less
agreement.